CUPTI (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.35. CUpti_ActivityPCSamplingRecordInfo Struct Reference

## [CUPTI Activity API]

This activity records information obtained by sampling PC (CUPTI_ACTIVITY_KIND_PC_SAMPLING_RECORD_INFO).

### Public Variables

uint32_t correlationId
uint64_t droppedSamples
CUpti_ActivityKind kind
uint64_t samplingPeriodInCycles
uint64_t totalSamples

### Variables

uint32_t CUpti_ActivityPCSamplingRecordInfo::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

uint64_t CUpti_ActivityPCSamplingRecordInfo::droppedSamples [inherited]

  Number of samples that were dropped by hardware due to backpressure/overflow.

CUpti_ActivityKind CUpti_ActivityPCSamplingRecordInfo::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_PC_SAMPLING_RECORD_INFO.

uint64_t CUpti_ActivityPCSamplingRecordInfo::samplingPeriodInCycles [inherited]

  Sampling period in terms of number of cycles .

uint64_t CUpti_ActivityPCSamplingRecordInfo::totalSamples [inherited]

  Number of times the PC was sampled for this kernel instance including all dropped samples.